<?php
if (!defined ('TYPO3_MODE')) {
	die ('Access denied.');
}
$TCA['tx_gss_domain_model_search']['ctrl']['requestUpdate'] = 'use_googles_refinements';

$TCA['tx_gss_domain_model_search'] = array(
	'ctrl' => $TCA['tx_gss_domain_model_search']['ctrl'],
	'interface' => array(
		'showRecordFieldList' => 'sys_language_uid, l10n_parent, l10n_diffsource, hidden, name, description, cx, enable_autocompletion, suggestions, refinements, promotions, time_periods, redirects, synonyms, local_domains',
	),
	'types' => array(
		'1' => array('showitem' => 'sys_language_uid;;;;1-1-1, l10n_parent, l10n_diffsource, hidden;;1, name, description, cx, enable_autocompletion,
--div--;LLL:EXT:gss/Resources/Private/Language/locallang_db.xml:tabs.refinements,use_googles_refinements,refinements,
--div--;LLL:EXT:gss/Resources/Private/Language/locallang_db.xml:tabs.suggestions,suggestions,
--div--;LLL:EXT:gss/Resources/Private/Language/locallang_db.xml:tabs.promotions,promotions,
--div--;LLL:EXT:gss/Resources/Private/Language/locallang_db.xml:tabs.redirects,redirects,
--div--;LLL:EXT:gss/Resources/Private/Language/locallang_db.xml:tabs.synonyms,synonyms,
--div--;LLL:EXT:gss/Resources/Private/Language/locallang_db.xml:tabs.local_domains,local_domains'),
	),
	'palettes' => array(
		'1' => array('showitem' => ''),
	),
	'columns' => array(
		'sys_language_uid' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.language',
			'config' => array(
				'type' => 'select',
				'foreign_table' => 'sys_language',
				'foreign_table_where' => 'ORDER BY sys_language.title',
				'items' => array(
					array('LLL:EXT:lang/locallang_general.xml:LGL.allLanguages', -1),
					array('LLL:EXT:lang/locallang_general.xml:LGL.default_value', 0)
				),
			),
		),
		'l10n_parent' => array(
			'displayCond' => 'FIELD:sys_language_uid:>:0',
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.l18n_parent',
			'config' => array(
				'type' => 'select',
				'items' => array(
					array('', 0),
				),
				'foreign_table' => 'tx_gss_domain_model_search',
				'foreign_table_where' => 'AND tx_gss_domain_model_search.pid=###CURRENT_PID### AND tx_gss_domain_model_search.sys_language_uid IN (-1,0)',
			),
		),
		'l10n_diffsource' => array(
			'config' => array(
				'type' => 'passthrough',
			),
		),
		't3ver_label' => array(
			'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.versionLabel',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'max' => 255,
			)
		),
		'hidden' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.hidden',
			'config' => array(
				'type' => 'check',
			),
		),
		'name' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:gss/Resources/Private/Language/locallang_db.xml:tx_gss_domain_model_search.name',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim,required'
			),
		),
		'description' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:gss/Resources/Private/Language/locallang_db.xml:tx_gss_domain_model_search.description',
			'config' => array(
				'type' => 'text',
				'cols' => 40,
				'rows' => 15,
				'eval' => 'trim'
			),
		),
		'cx' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:gss/Resources/Private/Language/locallang_db.xml:tx_gss_domain_model_search.cx',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim,required'
			),
		),
		'enable_autocompletion' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:gss/Resources/Private/Language/locallang_db.xml:tx_gss_domain_model_search.enable_autocompletion',
			'config' => array(
				'type' => 'check',
				'default' => 0
			),
		),
		'suggestions' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:gss/Resources/Private/Language/locallang_db.xml:tx_gss_domain_model_search.suggestions',
			'config' => array(
				'type' => 'inline',
				'foreign_table' => 'tx_gss_domain_model_suggestion',
				'foreign_field' => 'search',
				'maxitems'      => 9999,
				'appearance' => array(
					'collapseAll' => 1,
					'expandSingle' => 1,
					'levelLinksPosition' => 'top',
					'showSynchronizationLink' => 1,
					'showPossibleLocalizationRecords' => 1,
					'showAllLocalizationLink' => 1
				),
			),
		),
		'use_googles_refinements' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:gss/Resources/Private/Language/locallang_db.xml:tx_gss_domain_model_search.use_googles_refinements',						
			'config' => array(
				'type' => 'check',
				'default' => 0
			),
		),
		'refinements' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:gss/Resources/Private/Language/locallang_db.xml:tx_gss_domain_model_search.refinements',
			'displayCond' => 'FIELD:use_googles_refinements:=:0',
			'config' => array(
				'type' => 'inline',
				'foreign_table' => 'tx_gss_domain_model_refinement',
				'foreign_field' => 'search',
				'maxitems'      => 9999,
				'appearance' => array(
					'collapseAll' => 1,
					'expandSingle' => 1,
					'levelLinksPosition' => 'top',
					'showSynchronizationLink' => 1,
					'showPossibleLocalizationRecords' => 1,
					'showAllLocalizationLink' => 1
				),
			),
		),
		'promotions' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:gss/Resources/Private/Language/locallang_db.xml:tx_gss_domain_model_search.promotions',
			'config' => array(
				'type' => 'inline',
				'foreign_table' => 'tx_gss_domain_model_promotion',
				'foreign_field' => 'search',
				'maxitems'      => 9999,
				'appearance' => array(
					'collapseAll' => 1,
					'expandSingle' => 1,
					'levelLinksPosition' => 'top',
					'showSynchronizationLink' => 1,
					'showPossibleLocalizationRecords' => 1,
					'showAllLocalizationLink' => 1
				),
			),
		),
		'redirects' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:gss/Resources/Private/Language/locallang_db.xml:tx_gss_domain_model_search.redirects',
			'config' => array(
				'type' => 'inline',
				'foreign_table' => 'tx_gss_domain_model_redirect',
				'foreign_field' => 'search',
				'maxitems'      => 9999,
				'appearance' => array(
					'collapseAll' => 1,
					'expandSingle' => 1,
					'levelLinksPosition' => 'top',
					'showSynchronizationLink' => 1,
					'showPossibleLocalizationRecords' => 1,
					'showAllLocalizationLink' => 1
				),
			),
		),
		'synonyms' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:gss/Resources/Private/Language/locallang_db.xml:tx_gss_domain_model_search.synonyms',
			'config' => array(
				'type' => 'inline',
				'foreign_table' => 'tx_gss_domain_model_synonym',
				'foreign_field' => 'search',
				'maxitems'      => 9999,
				'appearance' => array(
					'collapseAll' => 1,
					'expandSingle' => 1,
					'levelLinksPosition' => 'top',
					'showSynchronizationLink' => 1,
					'showPossibleLocalizationRecords' => 1,
					'showAllLocalizationLink' => 1
				),
			),
		),
		'local_domains' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:gss/Resources/Private/Language/locallang_db.xml:tx_gss_domain_model_search.local_domains',
			'config' => array(
				'type' => 'select',
				'foreign_table' => 'sys_domain',
				'MM' => 'tx_gss_domain_model_domain_mm',
				'size' => 5,
				'autoSizeMax' => 30,
				'maxitems' => 9999,
				'multiple' => 0,
				'wizards' => array(
					'_PADDING' => 1,
					'_VERTICAL' => 1,
				),
			),
		),
	),
);